PackageKit reinstallation test suite
====================================
Dependencies (apart from PackageKit):

    beakerlib
    expect

Setup
-----
1.Create a testuser (choose arbitrary name):

    useradd -m testuser
    passwd testuser     # and set his password

2. Run the test suite as root from its directory:

    ./test-pkgkit-reinst.sh

3. Watch the logs.

Flags descriptions
------------------
Tests are decorated with a title:

    Test "what is about to be tested" with flags: "digits"
    
Where `digits` are binary flags representing policy actions. If flag is set,
corresponding action is allowed after user's authentication. If unset,
permission is denied. Particular flags represent these actions:

 1. `org.freedesktop.packagekit.package-install`
 2. `org.freedesktop.packagekit.package-install-untrusted`
 3. `org.freedesktop.packagekit.package-reinstall`
 4. `org.freedesktop.packagekit.package-downgrade`

(flag on position 0 in `digits` string represents action 1, etc.)
